MSA Storage

segmented,incompatible,(Op Mode incompatible)

 
CA1219063
Occasional Contributor

segmented,incompatible,(Op Mode incompatible)

Hi,

I am having cascaded SAN switch envionment, containting two Brocade 3800 switches connected to each other. On the ISL ports I am getting following error:

segmented,incompatible,(Op Mode incompatible)

Both the switches are running on same firmware version v3.1.2a. The only difference in the configuration on both the switches is, that one of the switch is having trunking enabled.

Please let me know what could be done to remove the issue. I have tried to remove all the zoning on both the switches. I tried to disable the ISL port on one of the switch. When I enabled the same port On the second switch I got the following message:

0x101d93b0 (tFabric): Dec 1 22:06:14
WARNING FABRIC-SEGMENTED, 3, port 9, ELP rejected


Thanks and Regards

Sushil Rai

15 REPLIES 15
meloni
Honored Contributor

Re: segmented,incompatible,(Op Mode incompatible)

cascading Switches will propagate the configuration. If you have different configuration you will have this warning: Fabric Segmented.
the following parameters must be the same on all switches:
BB Credit
R_A_TOV
E_D_TOV
Data Field Size
Op Mode
Non-SCSI Tachyon Mode
Disable Device Probing
VC Encoded Address Mode
Disable Translative Mode
Per-frame Route Priority

some are for 2800/2400 only
---------------X-------------------X--------------------X----------------X--------------
If everything is under control, you are going too slow (Mario Andretti)
Steven Clementi
Honored Contributor

Re: segmented,incompatible,(Op Mode incompatible)

Also, make sure your Domain ID is different.


Steven
Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)
BR820489
Occasional Advisor

Re: segmented,incompatible,(Op Mode incompatible)

Also, dont forget your Core PID settings should be the same as well (preferably = 1).

Regards

Fernando
CA1219063
Occasional Contributor

Re: segmented,incompatible,(Op Mode incompatible)

Thanks to all,
I am new to Brocade Switch envirnment. Please let me know what should be the value provided to both the switches, to all the parameters listed.

Thanks and regards
Sushil
Steven Clementi
Honored Contributor

Re: segmented,incompatible,(Op Mode incompatible)

Usually, the only value that needs to be changed is the DomainID.

Your existing switch is probably set to 1, just set the second switch to something different... "2" or "11".. up to 239.



Steven
Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)
CA1219063
Occasional Contributor

Re: segmented,incompatible,(Op Mode incompatible)

Hi Stevan,

Both the switches have different domain id, the domain ids of the switches are 9 and 11 respectively. My host is connected on the switch with domain id 11 and target is on the other switch.

Thanks and Regards
Sushil
Steven Clementi
Honored Contributor

Re: segmented,incompatible,(Op Mode incompatible)

which switch generated that message? is it both?

"0x101d93b0 (tFabric): Dec 1 22:06:14
WARNING FABRIC-SEGMENTED, 3, port 9, ELP rejected
"

Also, since you mentioned trunking, you should check to make sure that trunking for the port you want to ISL is not active, perhaps hard set the port to non-trunk (if there is such a thing, I don't recall)

Steven

Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)
CA1219063
Occasional Contributor

Re: segmented,incompatible,(Op Mode incompatible)

Hi Stevan,

Thanks for your suggestions, I have following concerns,

I tried all the possible ways but I still see the messages (segmented,zone conflict)

How could I make sure trunking is enabled on the switch. Here are outputs of portshow on both the culprit ports on both the switches:

3800_D9:admin> portcfgshow 9
Ports 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
-------------------+--+--+--+--+----+--+--+--+----+--+--+--+----+--+--+--
Speed AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN
Locked L_Port .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Locked G_Port .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Disabled E_Port .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Persistent Disable .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
ISL R_RDY Mode .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
where AN:AutoNegotiate, ..:OFF, ??:INVALID.



3800_D7:admin> portcfgshow 7
Ports 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
-------------------+--+--+--+--+----+--+--+--+----+--+--+--+----+--+--+--
Speed AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN
Trunk Port .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Long Distance .. LD .. .. .. .. .. .. .. .. .. .. .. .. .. ..
VC link init .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Locked L_Port .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Locked G_Port .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Disabled E_Port .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
Persistent Disable .. .. .. .. .. .. .. .. .. .. .. .. .. .. .. ..
ISL R_RDY Mode ON ON .. .. .. .. .. .. .. .. .. .. .. .. .. ..
where AN:AutoNegotiate, ..:OFF, ??:INVALID.
LM:L0.5



Please let me know your thoughts. Please let me know how could I make sure trunking is enabled on the switch. For now I tried to upgrade both the switches to v3.1.2a, without any luck.

Please let me know your thoughts

Thanks and Regards
Sushil
Steven Clementi
Honored Contributor

Re: segmented,incompatible,(Op Mode incompatible)

It looks like your D9 switch might not have a Trunking license. Can you show som more data from the switch?

switchshow
version
licenseshow (i think this might not be a command)

Or if you can post the detailed report from the web gui, that should be good enough.



Steven
Steven Clementi
HP Master ASE, Storage, Servers, and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5, vSphere 6.x)
RHCE
NPP3 (Nutanix Platform Professional)